Package org.opensaml.saml.common.binding.security.impl

# Class CheckAndRecordServerTLSEntityAuthenticationtHandler.DefaultHttpClientContextLookup

java.lang.Object
org.opensaml.saml.common.binding.security.impl.CheckAndRecordServerTLSEntityAuthenticationtHandler.DefaultHttpClientContextLookup

All Implemented Interfaces:
  `Function<MessageContext,org.apache.hc.client5.http.protocol.HttpClientContext>`, `ContextDataLookupFunction<MessageContext,org.apache.hc.client5.http.protocol.HttpClientContext>`

Enclosing class:
  CheckAndRecordServerTLSEntityAuthenticationtHandler

public class CheckAndRecordServerTLSEntityAuthenticationtHandler.DefaultHttpClientContextLookup extends Object implements ContextDataLookupFunction<MessageContext,org.apache.hc.client5.http.protocol.HttpClientContext>
The default `HttpClientContext` strategy function, which resolves from the `HttpClientRequestContext` of the outbound `MessageContext` of the parent `InOutOperationContext`.

## Constructor Summary

Constructors
Constructor
Description
`DefaultHttpClientContextLookup()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.hc.client5.http.protocol.HttpClientContext`
`apply(MessageContext messageContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### DefaultHttpClientContextLookup

public DefaultHttpClientContextLookup()

## Method Details

### apply

public org.apache.hc.client5.http.protocol.HttpClientContext apply(@Nullable MessageContext messageContext)

Specified by:
  `apply` in interface `Function<MessageContext,org.apache.hc.client5.http.protocol.HttpClientContext>`